=== cmd/CMakeLists.txt ===
add_subdirectory(dot)
add_subdirectory(tools)
