=== debian/changelog ===
graphviz (2.42.2-6ubuntu0.1) jammy; urgency=medium

  [ David Huggins-Daines ]
  * d/p/svg-scaling.patch: Fix scaling in SVG output (LP: #2015017)

 -- Dave Jones <dave.jones@canonical.com>  Sat, 11 May 2024 19:31:23 +0100

graphviz (2.42.2-6) unstable; urgency=medium

  [ Bas Couwenberg <sebastic@debian.org> ]
  * Don't build PHP extension, swig doesn't support PHP 8 yet
    (closes: #1004956).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Feb 2022 19:03:12 +0100

graphviz (2.42.2-5) unstable; urgency=high

  * Fix CVE-2020-18032: out of bounds write on invalid label
    (closes: #988000).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 May 2021 11:09:59 +0200

graphviz (2.42.2-4) unstable; urgency=medium

  * Build with Guile 3.0 (closes: #885198).
  * Use AUTOPKGTEST_TMP directory for autopkgtest.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Apr 2020 05:25:24 +0000

graphviz (2.42.2-3) unstable; urgency=medium

  * Install all plugin libraries (closes: #905209).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 Oct 2019 16:24:32 +0000

graphviz (2.42.2-2) unstable; urgency=medium

  * Upload to Sid.
  * Update documentation link in manpages (closes: #710377).

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Multiarchify packages (closes: #941143).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 05 Oct 2019 22:04:01 +0000

graphviz (2.42.2-1) experimental; urgency=medium

  * New upstream release.
  * Update patches.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Sep 2019 16:09:12 +0000

graphviz (2.42.1-1) experimental; urgency=medium

  * New major upstream release.
  * Update patches.
  * Remove Python 2 bindings (closes: #936653).
  * Update Python packaging bits.
  * Enable WebP output format plugin.
  * Update Lintian overrides.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Sep 2019 11:07:19 +0000

graphviz (2.40.1-7) unstable; urgency=medium

  * Build with ipsep mode (closes: #595084).

  [ Igor S. <grok0@gmx.com> ]
  * Fix libann detection.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Jul 2019 14:19:42 +0000

graphviz (2.40.1-6) unstable; urgency=high

  * Fix CVE-2018-10196: NULL pointer dereference in rebuild_vlists()
    (closes: #898841).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Apr 2019 15:51:00 +0000

graphviz (2.40.1-5) unstable; urgency=medium

  * Patch upstream _gv.so symlink creation (closes: #905209).
  * Tighten libgvc6 version dependency (closes: #895590).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Oct 2018 15:04:59 +0000

graphviz (2.40.1-4) unstable; urgency=medium

  * Build with libRSVG (closes: #827675).
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Sep 2018 15:17:23 +0000

graphviz (2.40.1-3) unstable; urgency=medium

  * Correct libgvc6 config file deletion on package removal (closes: #894632).
  * Backport security related patches:
    - fix memory leaks,
    - avoid integer overflow problem.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Apr 2018 17:22:54 +0000
